using System;
using System.Collections.Generic;

using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IReviewerPayInfoService
    {
        Task<IResponseOutput> AddOrUpdateReviewerPayInfo(ReviewerPayInfoCommand addOrUpdateModel, Guid userId);
        Task<PageOutput<DoctorPayInfoQueryListDTO>> GetReviewerPayInfoList(DoctorPaymentInfoQueryDTO queryParam);
        Task<DoctorPayInfoQueryListDTO> GetReviewerPayInfo(Guid doctorId);
        Task<List<Guid>> GetReviewerIdByRankId(Guid rankId);
    }
}
